
export ZSH="/usr/local/share/oh-my-zsh"

ZSH_THEME="{{ ohmyzsh.theme }}"

CASE_SENSITIVE="true"
ENABLE_CORRECTION="false"
DISABLE_UNTRACKED_FILES_DIRTY="true"

ZSH_CUSTOM="/usr/local/share/zsh"

plugins=(ansible fd fzf ripgrep zsh-navigation-tools ruby history systemd)

source $ZSH/oh-my-zsh.sh

for function in $ZSH_CUSTOM/functions/*; do
  source $function
done

autoload -U colors
colors

export CLICOLOR=1

setopt hist_ignore_all_dups inc_append_history
setopt share_history

HISTFILE=~/.zhistory
HISTSIZE=10000
SAVEHIST=10000

export ERL_AFLAGS="-kernel shell_history enabled"

stty -ixon

bindkey -v
bindkey "^F" vi-cmd-mode

bindkey "^A" beginning-of-line
bindkey '^[[3~' delete-char
bindkey "^K" kill-line
bindkey "^R" history-incremental-search-backward
bindkey "^P" history-search-backward
bindkey "^Y" accept-and-hold
bindkey "^N" insert-last-word
bindkey "^Q" push-line-or-edit
bindkey -s "^T" "^[Isudo ^[A" # "t" for "toughguy"

setopt autocd autopushd pushdminus pushdsilent pushdtohome cdablevars
DIRSTACKSIZE=5

setopt extendedglob
unsetopt nomatch

# load custom completion functions
fpath=(/usr/local/share/zsh/completion /usr/local/share/zsh/site-functions $fpath)

# completion; use cache if updated within 24h
autoload -Uz compinit
if [[ -n $HOME/.zcompdump(#qN.mh+24) ]]; then
 compinit -d $HOME/.zcompdump;
else
 compinit -C;
fi;

setopt nobeep

# automatically find new executables in path
zstyle ':completion:*' rehash true

eval "$(zoxide init zsh)"

# Color man pages
export LESS_TERMCAP_mb=$'\E[01;32m'
export LESS_TERMCAP_md=$'\E[01;32m'
export LESS_TERMCAP_me=$'\E[0m'
export LESS_TERMCAP_se=$'\E[0m'
export LESS_TERMCAP_so=$'\E[01;47;34m'
export LESS_TERMCAP_ue=$'\E[0m'
export LESS_TERMCAP_us=$'\E[01;36m'
export LESS=-R

# set home bin directory to load first
PATH="$HOME/bin:/usr/local/sbin:$PATH"

if [ -d $HOME/.cargo/bin ]; then
  PATH="$PATH:$HOME/.cargo/bin"
fi

export -U PATH

if ! pgrep -a "keyring" > /dev/null; then
	eval "$(/usr/bin/gnome-keyring-daemon --replace --daemonize --components=pkcs11,secrets,ssh,gpg)"
fi

export SSH_AUTH_SOCK=$XDG_RUNTIME_DIR/gcr/ssh


# Local config
[[ -f ~/.zshrc.local ]] && source ~/.zshrc.local

# aliases
[[ -f ~/.aliases ]] && source ~/.aliases
